Subject: Re: bug#7785: rgrep is broken on woe32

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jan 2011 20:16:29 +0200

> Date: Fri, 7 Jan 2011 11:24:16 -0500
> From: Sam Steingold <[email-masked]>
> Cc: [email-masked]
> 
> YAY!!!!!
> the following solves my problem for now (I don't know what will happen
> tomorrow though :-)
> 
> (when sds-winnt
>   (setq find-program ;(concat sds-gnuwin-home "bin\\find")
>         (w32-convert-standard-filename (concat sds-cygwin-home "bin\\find"))
>         xargs-program ;(concat sds-gnuwin-home "bin\\xargs")
>         (w32-convert-standard-filename (concat sds-cygwin-home "bin\\xargs"))
>         grep-program ;(concat sds-gnuwin-home "bin\\grep")
>         (w32-convert-standard-filename (concat sds-cygwin-home "bin\\grep"))
>         grep-find-use-xargs 'gnu
>         grep-use-null-device nil))

So I guess using Cygwin versions does solve the problem.  Glad you've
found a solution.

> please close this bug; I will reopen it if I ever get stuck again :-(

Done.

> (Eli, thanks a lot for your patience, I will not be trying anything
> else for this as long as the above solution works).

You are welcome.